> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/extensions-webhooks.md).

# Extensions/Webhooks

## Get All Webhooks

> Returns all the webhooks of the organization.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Extensions/Webhooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Extensions.Webhooks.GetAllWebhooksResponse":{"type":"object","required":["data"],"properties":{"data":{"type":"object","properties":{"result":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookListItem"}},"meta":{"type":"object","properties":{"total_count":{"type":"integer"}},"required":["total_count"]}},"required":["result","meta"]}}},"V3.Extensions.Webhooks.WebhookListItem":{"type":"object","required":["id","name","description","trigger_type","payload_type","custom_payload_template_name"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"trigger_type":{"type":"string"},"payload_type":{"type":"string"},"custom_payload_template_name":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/extensions/event-webhooks":{"get":{"operationId":"Webhooks_getAllWebhooks","summary":"Get All Webhooks","description":"Returns all the webhooks of the organization.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[{"name":"page-limit","in":"query","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.GetAllWebhooksResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Extensions/Webhooks"]}}}}
```

## Create Webhook

> Add webhook to the organization. Returns the webhook object in response.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Extensions/Webhooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Extensions.Webhooks.WebhookResponse":{"type":"object","required":["id","created_at","updated_at","author_id","slug"],"properties":{"id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"organization_id":{"type":"string"},"author_id":{"type":"string"},"slug":{"type":"string"},"version":{"type":"string"}},"allOf":[{"$ref":"#/components/schemas/V3.Extensions.Webhooks.Webhook"}]},"V3.Extensions.Webhooks.Webhook":{"type":"object","required":["name","triggers","urls","trigger_type"],"properties":{"name":{"type":"string","description":"Name of the webhook"},"description":{"type":"string","description":"Description of the webhook"},"triggers":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookTrigger"},"description":"A list of triggers for this webhook"},"urls":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookUrl"},"description":"A list of URLs to which the webhook payload will be sent"},"header":{"anyOf":[{"type":"object","unevaluatedProperties":{"type":"string"}},{"type":"null"}],"description":"Headers to be sent with the webhook"},"filters":{"anyOf":[{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookFilter"},{"type":"null"}],"description":"Filters to apply to the webhook"},"max_retry":{"type":"integer","format":"uint8","description":"Maximum number of retries for the webhook"},"teams":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"List of team IDs to which this webhook is applicable"},"is_all_teams_configured":{"type":"boolean","description":"Set to true if the webhook is configured for all teams"},"custom_payload_template_slug":{"type":"string","description":"Slug of the custom payload template"},"language":{"type":"string","description":"Language for the webhook payload"},"mail_ids":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"List of email IDs for notification"},"trigger_type":{"type":"string","description":"Type of trigger"},"custom_payload":{"type":"string","description":"Custom payload for the webhook"},"payload_type":{"type":"string","description":"Type of payload"}}},"V3.Extensions.Webhooks.WebhookTrigger":{"type":"object","required":["event_class","event_type"],"properties":{"event_class":{"type":"string"},"event_type":{"type":"string"}}},"V3.Extensions.Webhooks.WebhookUrl":{"type":"object","properties":{"url":{"type":"string"},"method":{"type":"string"}}},"V3.Extensions.Webhooks.WebhookFilter":{"type":"object","required":["op","conditions"],"properties":{"op":{"type":"string"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookFilterCondition"}}}},"V3.Extensions.Webhooks.WebhookFilterCondition":{"type":"object","properties":{"op":{"type":"string"},"lhs":{"type":"string"},"rhs":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/extensions/event-webhooks":{"post":{"operationId":"Webhooks_createWebhook","summary":"Create Webhook","description":"Add webhook to the organization. Returns the webhook object in response.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Extensions/Webhooks"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.Webhook"}}}}}}}}
```

## Get Webhook By ID

> Returns a webhooks details of the given \`eventWebhookID\` in the request param.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Extensions/Webhooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Extensions.Webhooks.WebhookResponse":{"type":"object","required":["id","created_at","updated_at","author_id","slug"],"properties":{"id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"organization_id":{"type":"string"},"author_id":{"type":"string"},"slug":{"type":"string"},"version":{"type":"string"}},"allOf":[{"$ref":"#/components/schemas/V3.Extensions.Webhooks.Webhook"}]},"V3.Extensions.Webhooks.Webhook":{"type":"object","required":["name","triggers","urls","trigger_type"],"properties":{"name":{"type":"string","description":"Name of the webhook"},"description":{"type":"string","description":"Description of the webhook"},"triggers":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookTrigger"},"description":"A list of triggers for this webhook"},"urls":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookUrl"},"description":"A list of URLs to which the webhook payload will be sent"},"header":{"anyOf":[{"type":"object","unevaluatedProperties":{"type":"string"}},{"type":"null"}],"description":"Headers to be sent with the webhook"},"filters":{"anyOf":[{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookFilter"},{"type":"null"}],"description":"Filters to apply to the webhook"},"max_retry":{"type":"integer","format":"uint8","description":"Maximum number of retries for the webhook"},"teams":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"List of team IDs to which this webhook is applicable"},"is_all_teams_configured":{"type":"boolean","description":"Set to true if the webhook is configured for all teams"},"custom_payload_template_slug":{"type":"string","description":"Slug of the custom payload template"},"language":{"type":"string","description":"Language for the webhook payload"},"mail_ids":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"List of email IDs for notification"},"trigger_type":{"type":"string","description":"Type of trigger"},"custom_payload":{"type":"string","description":"Custom payload for the webhook"},"payload_type":{"type":"string","description":"Type of payload"}}},"V3.Extensions.Webhooks.WebhookTrigger":{"type":"object","required":["event_class","event_type"],"properties":{"event_class":{"type":"string"},"event_type":{"type":"string"}}},"V3.Extensions.Webhooks.WebhookUrl":{"type":"object","properties":{"url":{"type":"string"},"method":{"type":"string"}}},"V3.Extensions.Webhooks.WebhookFilter":{"type":"object","required":["op","conditions"],"properties":{"op":{"type":"string"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookFilterCondition"}}}},"V3.Extensions.Webhooks.WebhookFilterCondition":{"type":"object","properties":{"op":{"type":"string"},"lhs":{"type":"string"},"rhs":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/extensions/event-webhooks/{eventWebhookID}":{"get":{"operationId":"Webhooks_getWebhookById","summary":"Get Webhook By ID","description":"Returns a webhooks details of the given `eventWebhookID` in the request param.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[{"name":"eventWebhookID","in":"path","required":true,"description":"(Required) event webhook ID","schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Extensions/Webhooks"]}}}}
```

## Update Webhook

> Update organization webhook details.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Extensions/Webhooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Extensions.Webhooks.WebhookResponse":{"type":"object","required":["id","created_at","updated_at","author_id","slug"],"properties":{"id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"organization_id":{"type":"string"},"author_id":{"type":"string"},"slug":{"type":"string"},"version":{"type":"string"}},"allOf":[{"$ref":"#/components/schemas/V3.Extensions.Webhooks.Webhook"}]},"V3.Extensions.Webhooks.Webhook":{"type":"object","required":["name","triggers","urls","trigger_type"],"properties":{"name":{"type":"string","description":"Name of the webhook"},"description":{"type":"string","description":"Description of the webhook"},"triggers":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookTrigger"},"description":"A list of triggers for this webhook"},"urls":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookUrl"},"description":"A list of URLs to which the webhook payload will be sent"},"header":{"anyOf":[{"type":"object","unevaluatedProperties":{"type":"string"}},{"type":"null"}],"description":"Headers to be sent with the webhook"},"filters":{"anyOf":[{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookFilter"},{"type":"null"}],"description":"Filters to apply to the webhook"},"max_retry":{"type":"integer","format":"uint8","description":"Maximum number of retries for the webhook"},"teams":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"List of team IDs to which this webhook is applicable"},"is_all_teams_configured":{"type":"boolean","description":"Set to true if the webhook is configured for all teams"},"custom_payload_template_slug":{"type":"string","description":"Slug of the custom payload template"},"language":{"type":"string","description":"Language for the webhook payload"},"mail_ids":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"List of email IDs for notification"},"trigger_type":{"type":"string","description":"Type of trigger"},"custom_payload":{"type":"string","description":"Custom payload for the webhook"},"payload_type":{"type":"string","description":"Type of payload"}}},"V3.Extensions.Webhooks.WebhookTrigger":{"type":"object","required":["event_class","event_type"],"properties":{"event_class":{"type":"string"},"event_type":{"type":"string"}}},"V3.Extensions.Webhooks.WebhookUrl":{"type":"object","properties":{"url":{"type":"string"},"method":{"type":"string"}}},"V3.Extensions.Webhooks.WebhookFilter":{"type":"object","required":["op","conditions"],"properties":{"op":{"type":"string"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookFilterCondition"}}}},"V3.Extensions.Webhooks.WebhookFilterCondition":{"type":"object","properties":{"op":{"type":"string"},"lhs":{"type":"string"},"rhs":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/extensions/event-webhooks/{eventWebhookID}":{"put":{"operationId":"Webhooks_updateWebhook","summary":"Update Webhook","description":"Update organization webhook details.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"eventWebhookID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.WebhookResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Extensions/Webhooks"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Extensions.Webhooks.Webhook"}}}}}}}}
```

## Delete Webhook

> Remove webhook from the organization. Upon success, the webhook will be removed from the organization.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Extensions/Webhooks"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/extensions/event-webhooks/{eventWebhookID}":{"delete":{"operationId":"Webhooks_deleteWebhook","summary":"Delete Webhook","description":"Remove webhook from the organization. Upon success, the webhook will be removed from the organization.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"eventWebhookID","in":"path","required":true,"description":"(Required) event webhook ID","schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Extensions/Webhooks"]}}}}
```
